#!/bin/bash

_install(){
    return 0
}

_check() {
    # UCLOUD_MACHINE_TYPE=P3.U2.A2.BF
    # UCLOUD_MANUFACTURE_TYPE=POWEREDGE_R7525
    # source /ucloud/exports.ini

    _check="PASS"
    if [[ $BFFLAG = 1 ]] && [[ $UCLOUD_MACHINE_TYPE == "P3.U2.A2.BF" || $UCLOUD_MANUFACTURE_TYPE == "POWEREDGE_R7525" ]];then
        if ! mlxfwmanager --query |grep FW |grep -q 18.30.1004;then
            _check="FAIL"
            PRINT_ERR "DELL BF $UCLOUD_MACHINE_TYPE $UCLOUD_MANUFACTURE_TYPE 机器请升级FW到 18.30.1004 否则无法正常开机！"
            return 1
        fi
    fi
}

